Create Products
curl --request POST \
--url https://api.joinrefine.io/organizations/{orgId}/catalogs/{catalogId}/products \
--header 'Content-Type: application/json' \
--header 'REFINE_API_KEY: <api-key>' \
--data '
[
{
"id": "sku001",
"catalogId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageUrl": "https://cdn.site.com/p/sku001.jpg",
"descriptor": "Red Linen Dress",
"metadata": {
"color": "red",
"size": "S",
"price": 119.99
}
}
]
'import requests
url = "https://api.joinrefine.io/organizations/{orgId}/catalogs/{catalogId}/products"
payload = [
{
"id": "sku001",
"catalogId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageUrl": "https://cdn.site.com/p/sku001.jpg",
"descriptor": "Red Linen Dress",
"metadata": {
"color": "red",
"size": "S",
"price": 119.99
}
}
]
headers = {
"REFINE_API_KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {REFINE_API_KEY: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: 'sku001',
catalogId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
imageUrl: 'https://cdn.site.com/p/sku001.jpg',
descriptor: 'Red Linen Dress',
metadata: {color: 'red', size: 'S', price: 119.99}
}
])
};
fetch('https://api.joinrefine.io/organizations/{orgId}/catalogs/{catalogId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "products uploaded",
"count": 2
}{
"status": 123,
"message": "<string>",
"time": "2023-11-07T05:31:56Z",
"method": "<string>",
"url": "<string>"
}{
"status": 401,
"message": "Unauthorized",
"time": "2024-06-14T19:21:00Z",
"method": "GET",
"url": "/organizations/a8cd2722-1234-4567-9abc-def123456789/catalogs"
}{
"status": 123,
"message": "<string>",
"time": "2023-11-07T05:31:56Z",
"method": "<string>",
"url": "<string>"
}Product Operations
Create Products
Batch create products in a catalog
POST
/
organizations
/
{orgId}
/
catalogs
/
{catalogId}
/
products
Create Products
Authorizations
API key for authentication
Path Parameters
Organization ID (UUID)
Catalog ID (UUID)
Body
application/json
Product ID (SKU)
Example:
"sku001"
Catalog ID (must match path parameter)
Product image URL
Example:
"https://cdn.site.com/p/sku001.jpg"
Product description (will be converted to lowercase)
Example:
"Red Linen Dress"
Additional product metadata
Example:
{
"color": "red",
"size": "S",
"price": 119.99
}
⌘I